﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinToolbars;

namespace _92210
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }


        private void Form1_Load(object sender, EventArgs e)
        {
           

            ultraToolbarsManager1.DrawFilter = new MyDraw();

            #region line style
            Pen pen = GeneratePen();
            ultraComboEditor1.Items.Add(pen);
            ultraComboEditor1.SelectedIndex = 0;

            Pen pen1 = GeneratePen();
            pen1.DashStyle = System.Drawing.Drawing2D.DashStyle.Dash;
            ultraComboEditor1.Items.Add(pen1);

            Pen pen2 = GeneratePen();
            pen2.DashStyle = System.Drawing.Drawing2D.DashStyle.DashDot;
            ultraComboEditor1.Items.Add(pen2);

            Pen pen3 = GeneratePen();
            pen3.DashStyle = System.Drawing.Drawing2D.DashStyle.DashDotDot;
            ultraComboEditor1.Items.Add(pen3);

            Pen pen4 = GeneratePen();
            pen4.DashStyle = System.Drawing.Drawing2D.DashStyle.Dot;
            ultraComboEditor1.Items.Add(pen4);

            Pen pen5 = GeneratePen();
            pen5.DashStyle = System.Drawing.Drawing2D.DashStyle.Custom;
            pen5.DashPattern = new float[] { 5, 2, 15, 4 };
            ultraComboEditor1.Items.Add(pen5);

            ultraComboEditor1.DrawFilter = new ComboDraw();
            #endregion

            foreach (GrabHandleStyle grab in Enum.GetValues(typeof(GrabHandleStyle)))
            {
                ultraComboEditor2.Items.Add(grab);
            }
            ultraComboEditor2.SelectedText = GrabHandleStyle.Default.ToString();
        }

        private Pen GeneratePen()
        {
            Pen p = new Pen(Color.Black, 1);
            return p;
        }

        private void ultraComboEditor1_ValueChanged(object sender, EventArgs e)
        {
            //(Pen)ultraComboEditor1.SelectedItem.DataValue
            ((Pen)ultraComboEditor1.SelectedItem.DataValue).Color = ultraColorPicker1.Color;
            ((MyDraw)ultraToolbarsManager1.DrawFilter).SeparatorPane = (Pen)ultraComboEditor1.SelectedItem.DataValue;
        }

        private void ultraColorPicker1_ColorChanged(object sender, EventArgs e)
        {
           
        }

        private void ultraComboEditor2_ValueChanged(object sender, EventArgs e)
        {
            this.ultraToolbarsManager1.ToolbarSettings.GrabHandleStyle = (GrabHandleStyle)ultraComboEditor2.SelectedItem.DataValue;
        }
    }
}
